import { EventEmitter } from '../../stencil-public-runtime';
import { TreeConfig } from '../../models/treeNav';
export declare class UxplTreeMenuItem {
  config: TreeConfig;
  level: number;
  selected: boolean;
  selectionKey: string;
  selectionKeyDelimitter: string;
  treeId: string;
  idAttribute: string;
  uxplSelection: EventEmitter<string>;
  uxplSelected: EventEmitter<TreeConfig>;
  handleSelectionKeyChange(newValue: string, oldValue: string): void;
  componentWillLoad(): void;
  private configureState;
  uxplSelectionHandler(event: CustomEvent<string>): void;
  showChildren: boolean;
  private calculatedPadding;
  handleSelected(selected: boolean, e: Event): void;
  handleToggleChildren(e: any): void;
  render(): any;
}
